RealtyCrawl logoRealtyCrawlDashboard →

API reference

Base URL: https://realtycrawl.dev. Source operations require a bearer API key. Inspect capabilities for current availability.

Download OpenAPI 3.1 →

GET /v1/meta/platforms

List platform research and availability states

listPlatforms · active

Contract
{
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/listPlatformsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/meta/capabilities

Describe source and country capabilities

listCapabilities · active

Contract
{
  "parameters": [
    {
      "name": "platform",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "country",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/listCapabilitiesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/meta/schemas

List schema versions

listSchemas · active

Contract
{
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/listSchemasResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/listings/search

Search selected listing platforms

searchListings · beta

Verified sources: zillow, redfin, realtor, rightmove, idealista. Check capabilities for accepted selectors.

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ListingSearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/{platform}/listings/search

Search one platform

searchPlatformListings · beta

Verified sources: zillow, redfin, realtor, rightmove, idealista. Check capabilities for accepted selectors.

Contract
{
  "parameters": [
    {
      "name": "platform",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/PlatformSearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchPlatformListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/{platform}/listings/{native_id}

Get listing by platform native ID

getPlatformListing · unavailable

Contract
{
  "parameters": [
    {
      "name": "platform",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "native_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPlatformListingResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/listings/resolve

Resolve a listing URL or source ID

resolveListing · beta

Verified sources: zillow. Check capabilities for accepted selectors.

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ListingResolveRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/resolveListingResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/listings/{listing_id}

getListing

getListing · beta

Verified sources: zillow, redfin, realtor, rightmove, idealista. Check capabilities for accepted selectors.

Contract
{
  "parameters": [
    {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getListingResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/listings/{listing_id}/media

getListingMedia

getListingMedia · beta

Verified sources: zillow, redfin, realtor, rightmove, idealista. Check capabilities for accepted selectors.

Contract
{
  "parameters": [
    {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getListingMediaResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/listings/{listing_id}/history

getListingHistory

getListingHistory · beta

Verified sources: zillow. Check capabilities for accepted selectors.

Contract
{
  "parameters": [
    {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getListingHistoryResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/listings/{listing_id}/open-houses

getListingOpenHouses

getListingOpenHouses · unavailable

Contract
{
  "parameters": [
    {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getListingOpenHousesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/listings/{listing_id}/similar

getSimilarListings

getSimilarListings · unavailable

Contract
{
  "parameters": [
    {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getSimilarListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/properties/resolve

Resolve physical property identity

resolveProperty · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/PropertyResolveRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/resolvePropertyResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}

getProperty

getProperty · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/listings

getPropertyListings

getPropertyListings · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/records

getPropertyRecords

getPropertyRecords · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyRecordsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/transactions

getPropertyTransactions

getPropertyTransactions · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyTransactionsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/tax-assessments

getPropertyTaxAssessments

getPropertyTaxAssessments · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyTaxAssessmentsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/valuations

getPropertyValuations

getPropertyValuations · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyValuationsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/properties/{property_id}/comparables

getPropertyComparables

getPropertyComparables · unavailable

Contract
{
  "parameters": [
    {
      "name": "property_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "basis",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "closed_sale",
          "active_listing",
          "rental_listing",
          "closed_lease"
        ]
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getPropertyComparablesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/buildings/{building_id}

Get a building

getBuilding · unavailable

Contract
{
  "parameters": [
    {
      "name": "building_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getBuildingResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/buildings/{building_id}/units

Get advertised units and floor plans

getBuildingUnits · unavailable

Contract
{
  "parameters": [
    {
      "name": "building_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getBuildingUnitsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/developments/search

Search developments

searchDevelopments · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchDevelopmentsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/developments/{development_id}

Get development

getDevelopment · unavailable

Contract
{
  "parameters": [
    {
      "name": "development_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getDevelopmentResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/agents/search

Search agents

searchAgents · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchAgentsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/agents/{agent_id}

Get agent

getAgent · unavailable

Contract
{
  "parameters": [
    {
      "name": "agent_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getAgentResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/agents/{agent_id}/listings

Get professional listing portfolio

getAgentListings · unavailable

Contract
{
  "parameters": [
    {
      "name": "agent_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getAgentListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/agencies/search

Search agencies

searchAgencies · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchAgenciesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/agencies/{agency_id}

Get agency

getAgency · unavailable

Contract
{
  "parameters": [
    {
      "name": "agency_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getAgencyResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/agencies/{agency_id}/listings

Get professional listing portfolio

getAgencyListings · unavailable

Contract
{
  "parameters": [
    {
      "name": "agency_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getAgencyListingsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/auctions/search

Search auctions

searchAuctions · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchAuctionsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/auctions/{auction_id}

Get auction

getAuction · unavailable

Contract
{
  "parameters": [
    {
      "name": "auction_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getAuctionResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/markets/search

Search markets

searchMarkets · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchMarketsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/stays/search

Search property-focused accommodation

searchStays · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/StaySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchStaysResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/stays/{stay_id}

Get accommodation details

getStay · unavailable

Contract
{
  "parameters": [
    {
      "name": "stay_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getStayResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/stays/{stay_id}/quote

Get a dated guest-specific price quote

getStayQuote · unavailable

Contract
{
  "parameters": [
    {
      "name": "stay_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/QuoteRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getStayQuoteResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/stays/{stay_id}/availability

Read calendar observations

getStayAvailability · unavailable

Contract
{
  "parameters": [
    {
      "name": "stay_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "from",
      "in": "query",
      "required": true,
      "schema": {
        "type": "string",
        "format": "date"
      }
    },
    {
      "name": "to",
      "in": "query",
      "required": true,
      "schema": {
        "type": "string",
        "format": "date"
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getStayAvailabilityResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/stays/{stay_id}/reviews

Read paginated accommodation reviews

getStayReviews · unavailable

Contract
{
  "parameters": [
    {
      "name": "stay_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getStayReviewsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/markets/{market_id}/series

Read a named source market series

getMarketSeries · unavailable

Contract
{
  "parameters": [
    {
      "name": "market_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "series",
      "in": "query",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "from",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "date"
      }
    },
    {
      "name": "to",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "date"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getMarketSeriesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/locations/search

Find source-compatible locations

searchLocations · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/EntitySearchRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/searchLocationsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

POST /v1/jobs

Request asynchronous read collection

createReadJob · unavailable

Contract
{
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/JobRequest"
        }
      }
    }
  },
  "responses": {
    "202": {
      "description": "Read job accepted",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/createReadJobResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/jobs/{job_id}

Get read collection status

getReadJob · unavailable

Contract
{
  "parameters": [
    {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getReadJobResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}

GET /v1/jobs/{job_id}/results

Read completed collection results

getReadJobResults · unavailable

Contract
{
  "parameters": [
    {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response; meta discloses source completeness",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/getReadJobResultsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Typed error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      }
    }
  }
}